Update an Issue
Update an individual issue's attributes. Only the attributes submitted are modified.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
issue_id(string)REQUIREDThe ID of the issue you'd like to query.
Body Parameters
inbox(boolean)If true, marks the issue as reviewed by the requestor.
status(string)The new status for the issues.
resolvedunresolvedignoredresolvedInNextReleasemuted
statusDetailsAdditional details about the resolution. Status detail updates that include release data are only allowed for issues within a single project.
substatus(string)The new substatus of the issue.
archived_until_escalatingarchived_until_condition_metarchived_foreverescalatingongoingregressednew
hasSeen(boolean)If true, marks the issue as seen by the requestor.
isBookmarked(boolean)If true, bookmarks the issue for the requestor.
isPublic(boolean)If true, publishes the issue.
isSubscribed(boolean)If true, subscribes the requestor to the issue.
merge(boolean)If true, merges the issues together.
discard(boolean)If true, discards the issues instead of updating them.
assignedTo(string)The user or team that should be assigned to the issues. Values take the form of
<user_id>,user:<user_id>,<username>,<user_primary_email>, orteam:<team_id>.priority(string)The priority that should be set for the issues
lowmediumhigh
ignoreDuration(integer)Ignore the issue for this many minutes.
ignoreCount(integer)Ignore the issue until it is seen this many more times.
ignoreWindow(integer)Window in minutes over which
ignoreCountis measured. Maximum is 7 days.ignoreUserCount(integer)Ignore the issue until it affects this many more users.
ignoreUserWindow(integer)Window in minutes over which
ignoreUserCountis measured. Maximum is 7 days.snoozeDuration(integer)Snooze the issue for this many minutes.
Scopes
<auth_token> requires one of the following scopes:event:adminevent:write
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/issues/{issue_id}/ \ -H 'Authorization: Bearer <auth_token>' \ -X PUT \ -H 'Content-Type: application/json' \ -d '{}'
Copied.